[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: new snapshot available: coreutils-7.5.65-61cc6

From: Jim Meyering
Subject: Re: new snapshot available: coreutils-7.5.65-61cc6
Date: Mon, 07 Sep 2009 19:37:34 +0200

Eric Blake wrote:

> According to Pádraig Brady on 9/7/2009 10:22 AM:
>> Solaris 9 x86 build failed with:
>> "fstatat.c", line 39: undefined symbol: AT_SYMLINK_NOFOLLOW
> Hmm. That should be taken care of by the gnulib <fcntl.h> replacement.
> Are we missing a #include?  Can you post the full failure?
>> Solaris 10 failures:
>>  tail-2/flush-initial (patch attached)
> Hmm.  We should reword the NEWS entry (right now, it states that the
> failure was rare because stdbuf was not always used; but your analysis of
> this failure proves that it can indeed be more common).
>>  ls/color-clear-to-eol (due to sed ignoring last line without \n)
> In autoconf, we frequently work around that sort of problem by using echo
> to append a blank line to the captured output and expected output.  Do you
> need me to submit a patch?

Here's one, albeit not yet tested on Solaris:

>From 9547a78bda1d4f01a782c869be248b5e0faf31f9 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Mon, 7 Sep 2009 19:36:21 +0200
Subject: [PATCH] tests: ls/color-clear-to-eol: append NL to accommodate old sed
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* tests/ls/color-clear-to-eol: Some vendor sed programs fail
to operate on lines that are not NL-terminated.
This affects at least Solaris 10's /bin/sed.
Reported by Pádraig Brady.
 tests/ls/color-clear-to-eol |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/tests/ls/color-clear-to-eol b/tests/ls/color-clear-to-eol
index 92cf8a8..fd65ced 100755
--- a/tests/ls/color-clear-to-eol
+++ b/tests/ls/color-clear-to-eol
@@ -30,11 +30,15 @@ e='\33'
-printf "$c_pre$long_name$c_post" > exp || framework_failure
+printf "$c_pre$long_name$c_post\n" > exp || framework_failure

 env TERM=xterm COLUMNS=80 LS_COLORS="*.foo=$color_code" TIME_STYLE=+T \
   ls -og --color=always $long_name > out || fail=1
+# Append a newline, to accommodate less-capable versions of sed.
+echo >> out || fail=1
 sed 's/.*T //' out > k && mv k out

 compare out exp || fail=1

reply via email to

[Prev in Thread] Current Thread [Next in Thread]